ExtendedBasicInformationTrait.GetSerialNumberCommand.Response

class ExtendedBasicInformationTrait.GetSerialNumberCommand.Response : ClusterStruct


The result of the GetSerialNumber command.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Response(serialNumber: String?)

Creates a response payload from the GetSerialNumber command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

String?

The serial number of the device.

Public constructors

Response

Response(serialNumber: String? = null)

Creates a response payload from the GetSerialNumber command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

serialNumber

val serialNumberString?

The serial number of the device.